#include <stdio.h>
#include <stdlib.h>

int main()
{
    int T,N,M,K,g=1,n;
    scanf("%d",&T);
    for(int i=0;i<T;i++)
    {
    scanf("%d%d%d",&N,&M,&K);
    N=N-(K-1);
    M=M-(K-1);
    if(N<0 || M<0) printf("Nie\n");
    else
    {
    n=N;
    for(int i=0;i<n;i++)
    {
        M=M-g;
        N--;
        g++;
    }
    if(N<0 || M<0) printf("Nie\n");
    else printf("Tak\n");
    }
    }
    return 0;
}